Package org.eclipse.lemminx.dom.parser

## Interface Scanner

All Known Implementing Classes:
  `XMLScanner`

    public interface Scanner

Scanner API.

### Method Summary

All Methods Instance Methods Abstract Methods
`ScannerState` `getScannerState()`
`int` `getTokenEnd()` Ending offset position of the current token
`String` `getTokenError()`
`int` `getTokenLength()`
`int` `getTokenOffset()` Starting offset position of the current token
`String` `getTokenText()`
`TokenType` `getTokenType()`
`boolean` `isTokenTextBlank()`
`TokenType` `scan()`

### Method Detail

#### scan

    TokenType scan()

#### getTokenType

    TokenType getTokenType()

#### getTokenOffset

    int getTokenOffset()

Starting offset position of the current token

Returns:
  int of token's start offset

#### getTokenLength

    int getTokenLength()

#### getTokenEnd

    int getTokenEnd()

Ending offset position of the current token

Returns:
  int of token's end offset

#### getTokenText

    String getTokenText()

#### getTokenError

    String getTokenError()

#### getScannerState

    ScannerState getScannerState()

#### isTokenTextBlank

    boolean isTokenTextBlank()

Returns:
  True if the token's Text is empty or all whitespace